package de.unima.ki.javakurs.tag3.time;

import static org.junit.Assert.*;

import java.util.Calendar;

import org.junit.Test;

public class TestTime {

	@Test
	public void test1() {
		Time t = new Time();
		assertEquals(Calendar.getInstance().get(Calendar.SECOND),
				t.getSecond(), 3);
		assertEquals(Calendar.getInstance().get(Calendar.MINUTE), t.getMinute());
		assertEquals(Calendar.getInstance().get(Calendar.HOUR), t.getHour());

	}

	@Test
	public void test2() {
		Time t = new Time(34, 23, 90);
		int s = Calendar.getInstance().get(Calendar.SECOND);
		int m = Calendar.getInstance().get(Calendar.MINUTE);
		int h = Calendar.getInstance().get(Calendar.HOUR);
		assertEquals(s, t.getSecond(), 3);
		assertEquals(m, t.getMinute());
		assertEquals(h, t.getHour());

		t.setMinute(70);
		assertEquals(m, t.getMinute());
		t.setMinute(10);
		assertEquals(10, t.getMinute());
		t.setMinute(59);
		assertEquals(59, t.getMinute());
		t.setHour(23);
		assertEquals(23, t.getHour());
		t.setHour(1);
		assertEquals(1, t.getHour());
	}

	@Test
	public void test3() {
		Time t = new Time(15, 25, 13);
		assertEquals(13, t.getSecond());
		assertEquals(25, t.getMinute());
		assertEquals(15, t.getHour());
	}

	@Test
	public void test4() {
		Time t = new Time(23, 59, 58);
		t.incrementSecond();
		assertEquals(59, t.getSecond());
		assertEquals(59, t.getMinute());
		assertEquals(23, t.getHour());
		t.incrementSecond();
		assertEquals(0, t.getSecond());
		assertEquals(0, t.getMinute());
		assertEquals(0, t.getHour());
	}

}
